Bug 966598 - Crash in VG creation when installing LVM-on-Intel firmware RAID (19 Beta RC4)
Crash in VG creation when installing LVM-on-Intel firmware RAID (19 Beta RC4)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 10:20 EDT by Adam Williamson
Modified: 2015-02-17 10:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:19:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback from the bug (1003.29 KB, text/plain)
2013-05-23 10:20 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-05-23 10:20:44 EDT
Created attachment 752246 [details]
anaconda traceback from the bug

I booted F19 Beta RC4 DVD, written to a USB stick with dd, on my system with two 500GB hard disks in a RAID-0 configuration on the Intel firmware RAID controller. If I try to do an all-defaults install - LVM, guided partitioning - anaconda crashes while trying to create the VG. Logs will be attached.
Comment 1 Adam Williamson 2013-05-23 10:22:37 EDT
Nominating as a Beta blocker, as this is basically a failure of firmware RAID: https://fedoraproject.org/wiki/Fedora_19_Beta_Release_Criteria#Hardware_and_firmware_RAID , "The installer must be able to detect and install to hardware or firmware RAID storage devices."

But there's a possible get-out clause here: install to ext4-on-fwraid succeeds. So we could say that install to firmware RAID works, and use ext4 as the workaround for LVM-on-fwraid failing. I did not test btrfs.
Comment 2 Adam Williamson 2013-05-23 10:30:08 EDT
dlehman, if you have any input on the blocker-iness of this bug or otherwise before today's go/no-go, i'm sure that'd help. is it likely to affect all lvm-on-fwraid installs? or is it somehow specific to my system/disk/controller/usb installs or something else like that? Thanks!
Comment 3 Adam Williamson 2013-05-23 10:34:33 EDT
my vote on this would be a close -1, document the 'use ext4' workaround (or any other workaround that shows up).
Comment 4 Tim Flink 2013-05-23 11:32:37 EDT
I just did an install to a promise raid array (dmraid) using LVM with no problems so it would seem that this does not affect all bios raids
Comment 5 Jóhann B. Guðmundsson 2013-05-23 11:39:55 EDT
-1 blocker +1 FE since this seems not to affect all bios raid and we have a workaround
Comment 6 Adam Williamson 2013-05-23 12:24:18 EDT
if anything it might affect analogous software RAID cases, but yeah, it's good to note it doesn't affect dmraid.
Comment 7 Adam Williamson 2013-05-23 13:15:52 EDT
dlehman believes this likely relates to data (specifically LVM metadata) left lying around on one of the disks that was made into the array I used for testing; it doesn't seem like a bug that will inevitably affect all Intel FW raid cases.
Comment 8 Adam Williamson 2013-05-23 13:16:58 EDT
Discussed at 2013-05-23 Fedora 19 Beta Go/No-Go meeting, acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting-2/2013-05-23/f19_beta_gono-go_meeting.2013-05-23-17.01.log.txt . With the fact that this can be worked around, the fact it doesn't affect dmraid, and the fact that it's probably related to pre-existing metadata on one of the disks in the array, this seems far too corner case-y to block the release. Clearly, anaconda's mechanism for handling Intel fw raid is basically working, and this is a config-specific bug. Rejected as a blocker.
Comment 9 Adam Williamson 2013-05-23 13:30:57 EDT
Just as a note to self so I can hopefully reproduce this to aid dlehman in trying to make anaconda cope with this scenario, this is how I think I caused this:

The sequence was 'connect one disk just as a normal SATA disk, controller in AHCI mode, and do a UEFI install to it (default LVM layout); then connect the other disk, switch the controller to RAID mode, create a RAID-0 array out of the two disks, try to install to it.
Comment 10 Fedora End Of Life 2015-01-09 13:12:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 10:19:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.